Subject: Re: bug#36942: Reconfigure broke GRUB

From: ison <[email-masked]>
Date: Tue, 20 Aug 2019 15:52:20 -0600

On Tue, Aug 20, 2019, Jakob L. Kreuze wrote:
> This is perfect (I mean, not that it still doesn't work, but that we
> have some error output). I think I know what's going on. The new 'guix
> system reconfigure' uses G-Expressions, and it looks like Grub is being
> ungexp'd for the wrong architecture. To be sure, what's the architecture
> of this machine?
> 
> I'll investigate further and let you know what I find. Thanks again for
> doing this.
> 
> Regards,
> Jakob

That's great, thanks for investigating this.
Both the machine architecture and the liveUSB are x86_64.